#!/usr/bin/env python
# maunaloa.py

"""
Author : peters 

Revision History:
File created on 06 Sep 2010.

"""

import sys
import os
import logging
import subprocess

from da.baseclasses.platform import PlatForm

class MaunaloaPlatForm(PlatForm):
    def __init__(self):
        self.Identifier     = 'WUR maunaloa'    # the identifier gives the platform name
        self.Version        = '1.0'     # the platform version used

        msg1  = '%s object initialized'%self.Identifier ; logging.debug(msg1)
        msg2  = '%s version: %s'%(self.Identifier,self.Version) ; logging.debug(msg2)


    def GetMyID(self):

        return os.getpid()

    def UnsuspendCommand(self):
        return 'qmod -usj %s'%(self.GetMyID())

    def SuspendJob(self):
        """ Method suspends the running job"""

        cmd     = ['wait','-sj',self.GetMyID()]
        output   = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()[0] ; logging.info(output)
if __name__ == "__main__":
    pass
